import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FlexLayoutModule } from '@angular/flex-layout';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import { SharedComponents } from './components';
import { AddressAutocompleteComponent } from './components/address-autocomplete/address-autocomplete.component';
import { AppointmentChoiceComponent } from './components/appointment-choice/appointment-choice.component';
import { HourPickerComponent } from './components/hour-picker/hour-picker.component';
import { InputComponent } from './components/input/input.component';
import { RadioOptionComponent } from './components/radio-option/radio-option.component';
import { RadioComponent } from './components/radio/radio.component';
import { TextareaComponent } from './components/textarea/textarea.component';
import { YesNoComponent } from './components/yes-no/yes-no.component';
import { SharedDirectives } from './directives';
import { SharedPipes } from './pipes';
@NgModule({
  imports: [CommonModule, FormsModule, RouterModule, FlexLayoutModule, ReactiveFormsModule],
  declarations: [
    ...SharedPipes,
    ...SharedComponents,
    ...SharedDirectives,
    AddressAutocompleteComponent,
    HourPickerComponent,
    RadioComponent,
    AppointmentChoiceComponent,
    InputComponent,
    TextareaComponent,
    RadioOptionComponent,
    YesNoComponent,
  ],
  exports: [
    ...SharedPipes,
    ...SharedComponents,
    ...SharedDirectives,
    CommonModule,
    RouterModule,
    FlexLayoutModule,
    FormsModule,
    ReactiveFormsModule,
  ],
})
export class SharedModule {}
